%define srcname Pyro4

Name:           python-pyro415
Version:        4.15
Release:        %mkrel 7
Summary:        PYthon Remote Objects
License:        MIT
Group:          Development/Python
Url:            https://pypi.python.org/pypi/Pyro4
Source:         http://pypi.python.org/pypi/Pyro4/Pyro4-%{version}.tar.gz
Conflicts:      python-pyro4
BuildRequires:  python-sphinx
BuildArch:      noarch
BuildRequires:  python
BuildRequires:  python-devel

%description
Pyro provides an object-oriented form of RPC. You can use Pyro within a
single system but also use it for IPC. For those that are familiar with
Java, Pyro resembles Java's Remote Method Invocation (RMI). It is less
similar to CORBA - which is a system- and language independent Distributed
Object Technology and has much more to offer than Pyro or RMI.

Pyro4 is a reimplementation of the original pyro, that was begun in 2010.
According to upstream, pyro4 can now be considered the new ‘main’ Pyro
version. Since it is not API compatible to pyro-3.x, the package was renamed
to Pyro4

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build
%{__python} setup.py build_sphinx

%install
%{__python} setup.py install --root=%{buildroot}

%files
%doc build/sphinx/* README.txt
%{py_puresitedir}/Pyro4
%{py_puresitedir}/Pyro4-%{version}-py%{pyver}.egg-info



%changelog
* Sat Feb 06 2016 umeabot <umeabot> 4.15-7.mga6
+ Revision: 940441
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.15-6.mga5
+ Revision: 741779
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.15-5.mga5
+ Revision: 729550
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.15-4.mga5
+ Revision: 688276
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Thu May 29 2014 guillomovitch <guillomovitch> 4.15-2.mga5
+ Revision: 627712
- explicit conflicts with standard python-pyro package

* Thu May 29 2014 guillomovitch <guillomovitch> 4.15-1.mga5
+ Revision: 627705
- imported package python-pyro415

